From c77c7d052dc7046040a67382b9e55ab9c6a79f3f Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@paquier.xyz>
Date: Fri, 7 Jun 2019 13:20:39 +0900
Subject: [PATCH] Move be-gssapi-common.h into src/include/libpq/

---
 src/backend/libpq/auth.c                          | 2 +-
 src/backend/libpq/be-gssapi-common.c              | 2 +-
 src/backend/libpq/be-secure-gssapi.c              | 2 +-
 src/{backend => include}/libpq/be-gssapi-common.h | 0
 4 files changed, 3 insertions(+), 3 deletions(-)
 rename src/{backend => include}/libpq/be-gssapi-common.h (100%)

diff --git a/src/backend/libpq/auth.c b/src/backend/libpq/auth.c
index a7763f3f60..931058695a 100644
--- a/src/backend/libpq/auth.c
+++ b/src/backend/libpq/auth.c
@@ -173,7 +173,7 @@ bool		pg_krb_caseins_users;
  *----------------------------------------------------------------
  */
 #ifdef ENABLE_GSS
-#include "be-gssapi-common.h"
+#include "libpq/be-gssapi-common.h"
 
 static int	pg_GSS_checkauth(Port *port);
 static int	pg_GSS_recvauth(Port *port);
diff --git a/src/backend/libpq/be-gssapi-common.c b/src/backend/libpq/be-gssapi-common.c
index e285a7061e..edb34026d4 100644
--- a/src/backend/libpq/be-gssapi-common.c
+++ b/src/backend/libpq/be-gssapi-common.c
@@ -14,7 +14,7 @@
 
 #include "postgres.h"
 
-#include "be-gssapi-common.h"
+#include "libpq/be-gssapi-common.h"
 
 /*
  * Helper function for getting all strings of a GSSAPI error (of specified
diff --git a/src/backend/libpq/be-secure-gssapi.c b/src/backend/libpq/be-secure-gssapi.c
index b345eae62a..b1d5647e23 100644
--- a/src/backend/libpq/be-secure-gssapi.c
+++ b/src/backend/libpq/be-secure-gssapi.c
@@ -16,7 +16,7 @@
 
 #include <unistd.h>
 
-#include "be-gssapi-common.h"
+#include "libpq/be-gssapi-common.h"
 #include "libpq/auth.h"
 #include "libpq/libpq.h"
 #include "libpq/libpq-be.h"
diff --git a/src/backend/libpq/be-gssapi-common.h b/src/include/libpq/be-gssapi-common.h
similarity index 100%
rename from src/backend/libpq/be-gssapi-common.h
rename to src/include/libpq/be-gssapi-common.h
-- 
2.20.1

